Subject: Re: [Anima] I-D Action: draft-richardson-anima-voucher-delegation-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Jan 2020 13:13:57 +1300

Hi,

Again I'm outside my comfort zone, but the Abstract says:

>    This chain of authorization can support
>    permission-less resale of devices, as well as guarding against
>    business failure of the BRSKI [I-D.ietf-anima-bootstrapping-keyinfra]
>    Manufacturer Authorized Signing Authority (MASA).

I'd really appreciate a worked example for both of these cases.
Maybe that will come in the Applicability sections?

In particular section 5.1 says:

>    The Registrar needs to be informed that it should not contact a MASA
>    using the URL in the IDevID, but rather to contact the previous
>    owner's DASA.

What happens if the previous owner went bust and its DASA no longer exists?

Regards
   Brian

On 07-Jan-20 11:09, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Delegated Authority for Bootstrap Voucher Artifacts
>         Author          : Michael Richardson
> 	Filename        : draft-richardson-anima-voucher-delegation-00.txt
> 	Pages           : 13
> 	Date            : 2020-01-06
> 
> Abstract:
>    This document describes an extension of the RFC8366 Voucher Artifact
>    in order to support delegation of signing authority.  The initial
>    voucher pins a public identity, and that public indentity can then
>    issue additional vouchers.  This chain of authorization can support
>    permission-less resale of devices, as well as guarding against
>    business failure of the BRSKI [I-D.ietf-anima-bootstrapping-keyinfra]
>    Manufacturer Authorized Signing Authority (MASA).
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-richardson-anima-voucher-delegation/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-richardson-anima-voucher-delegation-00
> https://datatracker.ietf.org/doc/html/draft-richardson-anima-voucher-delegation-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Michael Richardson <[email-masked]>
Date: Tue, 21 Jan 2020 09:49:43 -0500

> Maybe that will come in the Applicability sections?

Sure that's a reasonable request.

    > What happens if the previous owner went bust and its DASA no longer exists?

At first look, that is equivalent to the MASA going bust: you can no longer
autonomically onboard the device.  It would have to be done manually.
But, actually one can go back to any previous DASA, or back to the MASA, to
ask for a new voucher.  So it's equivalent only if all of the previous
owners/manufacturers are bust.
This ability is a potential security threat, and deserves some discussion.
Should there be a way that we can revoke a previous delegation voucher?
Does it require cooperation of the manufacturer?

I think it is reasonable for companies that buy assets of dead companies to
be able to go to the manufacturer for a DASA that would allow them to resell
the equipement.  I've tried to engage with a company I know of that does this
to try to understand how things flow today.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-